/* $Workfile: OtxHwIds.h $   $Revision: 47 $    $Modtime: 5/06/11 3:44p $ */
#ifndef OD_HD_IDS_H
#define OD_HD_IDS_H
/*******************************************************************************

  Copyright (C) 1998 Odin TeleSystems Inc., All Rights Reserved

  @doc internal

  OTX Generic Hardware Driver API

  OtxHwIds

  OTX Product IDs

*******************************************************************************/

#define OD_PLX_CONFIG_ADDR_PORT    0xCF8
#define OD_PLX_CONFIG_DATA_PORT    0xCFC

#define OD_PLX_VENDOR_ID           0x10B5
#define OD_PLX_DEVICE_ID           0x9050
#define OD_PLX_9056_DEVICE_ID      0x9056

#define OTX_ODIN_VENDOR_ID         0x14C9

// DaVinci DMP IDs
#define OTX_PROD_ID_DMP_ASM_PCIE          (0x0000 | 1077)   // 0x0435 - DaVinci processor on an Alvis-ASM or Alvis-PCIe card
#define OTX_PROD_ID_DMP_CSI_SECONDARY     (0x1000 | 1077)   // 0x1435 - Secondary DaVinci processor on an Alvis-CSI (DMP1 on a DMM)

#define OTX_PROD_ID_DMP_ALVIS_0_CSI       (0x1000 | 1082)  // HAA-1082-1 Alvis-0-CSI  (0x143A)
#define OTX_PROD_ID_DMP_ALVIS_8_CSI       (0x2000 | 1082)  // HAA-1082-2 Alvis-8-CSI  (0x243A)
#define OTX_PROD_ID_DMP_ALVIS_8M_CSI      (0x3000 | 1082)  // HAA-1082-3 Alvis-8M-CSI (0x343A)
#define OTX_PROD_ID_DMP_ALVIS_4_CSI       (0x4000 | 1082)  // HAA-1082-4 Alvis-4-CSI  (0x443A)
#define OTX_PROD_ID_DMP_ALVIS_4M_CSI      (0x5000 | 1082)  // HAA-1082-5 Alvis-4M-CSI (0x543A)
#define OTX_PROD_ID_DMP_ALVIS_2_CSI       (0x6000 | 1082)  // HAA-1082-6 Alvis-2-CSI  (0x643A)

#define OTX_PROD_ID_DMP_ALVIS_0_PBX       (0x1000 | 1090)  // HAA-1090-1 Alvis-0-PBX  (0x1442)
#define OTX_PROD_ID_DMP_ALVIS_2_PBX       (0x2000 | 1090)  // HAA-1090-2 Alvis-2-PBX  (0x2442)
#define OTX_PROD_ID_DMP_ALVIS_4_PBX       (0x3000 | 1090)  // HAA-1090-3 Alvis-4-PBX  (0x3442)
#define OTX_PROD_ID_DMP_ALVIS_8_PBX       (0x4000 | 1090)  // HAA-1090-4 Alvis-8-PBX  (0x4442)

#define OTX_PROD_ID_DMP_ALVIS_CSI_UNCONFIGURED (0xF000 | 1082)  // This is product id is reserved for Alvis-CSI units that have not yet been configured (i.e. they have a blank Eeprom)


// PCI Device IDs (VVVV | PPPP PPPP PPPP) where:
// VVVV           (4 bits)  is the product variant (0000 if no variant)
// PPPP PPPP PPPP (12 bits) is the product number (e.g. 1019 for Thor-8-PCI)
#define OTX_PROD_ID_UNKNOWN                           0
#define OTX_PROD_ID_BALDER_2S_ISA                     1002  // 0x03EA
#define OTX_PROD_ID_BALDER_8S_ISA                     1003  // 0x03EB
#define OTX_PROD_ID_THOR_2_ISA                        1004  // etc...
#define OTX_PROD_ID_ARNI_32_PCI                       1008
#define OTX_PROD_ID_VIDAR_5x4_ASM                     1009
#define OTX_PROD_ID_BALDER_8U_PCI                     1010
#define OTX_PROD_ID_THOR_4_PCI                        1011
#define OTX_PROD_ID_THOR_2_PCMCIA_STD                 1012
#define OTX_PROD_ID_THOR_1_PCI                        1013
#define OTX_PROD_ID_VIDAR_6x1_ASM                     1014
#define OTX_PROD_ID_VIDAR_6x3_PCI                     1017
#define OTX_PROD_ID_THOR_8_PCI                        1019
#define OTX_PROD_ID_VIDAR_5x16_PCI                    1020
#define OTX_PROD_ID_THOR_2_PCI                        1022
#define OTX_PROD_ID_BALDER_8S_PCI                     1023
#define OTX_PROD_ID_VIDAR_5x4_PCI                     1024
#define OTX_PROD_ID_VIDAR_5x8_PCI                     1025
#define OTX_PROD_ID_VIDAR_5x12_PCI                    1026
#define OTX_PROD_ID_THOR_16_CPCI                      1028
#define OTX_PROD_ID_THOR_2_PCMCIA_PLUS                1043
#define OTX_PROD_ID_HERMOD_PCI                        1044
#define OTX_PROD_ID_THOR_2_PCI_PLUS                   1048
#define OTX_PROD_ID_THOR_8_PCI_PLUS                   1049
#define OTX_PROD_ID_GIMLE_16_PCI_PLUS                 1050
#define OTX_PROD_ID_GIMLE_16_PCI_BASIC_32   (0x1000 | 1050)
#define OTX_PROD_ID_GIMLE_16_PCI_BASIC_64   (0x2000 | 1050)
#define OTX_PROD_ID_SLEIPNIR_1_PCI_BNC_DSP  (0x1000 | 1051)
#define OTX_PROD_ID_SLEIPNIR_1_PCI_BNC      (0x2000 | 1051)
#define OTX_PROD_ID_SLEIPNIR_1_PCI_RJ45_DSP (0x3000 | 1051)
#define OTX_PROD_ID_SLEIPNIR_1_PCI_RJ45     (0x4000 | 1051)
#define OTX_PROD_ID_SLEIPNIR_1_PCI_BNC_WAN  (0x5000 | 1051)
#define OTX_PROD_ID_SLEIPNIR_1_PCI_RJ45_WAN (0x6000 | 1051)
#define OTX_PROD_ID_THOR_1_PCI_BASIC                  1052
#define OTX_PROD_ID_VIDAR_5x4_ASM_BASIC               1053
#define OTX_PROD_ID_VIDAR_5x4_ASM_CST                 1054
#define OTX_PROD_ID_VIDAR_5x4_ASM_V90                 1055
#define OTX_PROD_ID_VIDAR_5x4_ASM_EX                  1056
#define OTX_PROD_ID_THOR_2_PCMCIA_CST                 1057
#define OTX_PROD_ID_THOR_2_PCMCIA_EX                  1058
#define OTX_PROD_ID_THOR_2_PCMCIA_V90                 1059
#define OTX_PROD_ID_THOR_2_PCMCIA_PRO                 1060
#define OTX_PROD_ID_VIDAR_5x4_ASM_PRO                 1061
#define OTX_PROD_ID_THOR_4_PCI_PLUS                   1062
#define OTX_PROD_ID_THOR_1_PCI_PLUS                   1063
#define OTX_PROD_ID_ARNI_6x6_PCI_PLUS       (0x1000 | 1064)  // 0x1428
#define OTX_PROD_ID_ARNI_6x6_PCI            (0x2000 | 1064)  // 0x2428
#define OTX_PROD_ID_SLEIPNIR_1_PCMCIA_WAN             1065
#define OTX_PROD_ID_ARNI_6_FXS_PCI_PLUS               1066
#define OTX_PROD_ID_ARNI_6_FXO_PCI_PLUS               1067
#define OTX_PROD_ID_ARNI_6x3_PCI_PLUS                 1068
#define OTX_PROD_ID_HUGIN_2_PC104                     1069
#define OTX_PROD_ID_HUGIN_2_PC104_CC        (0x1000 | 1069)  // With Conformal Coat
#define OTX_PROD_ID_THOR_2_PCI_EXPRESS      (0x0000 | 1072)  // 0x0430 
#define OTX_PROD_ID_THOR_2_PCI_EXPRESS_BR   (0xF000 | 1072)  // 0xF430  The PEX8111 Bridge chip in the PEX8311 device on this board
#define OTX_PROD_ID_THOR_1_PCI_EXPRESS      (0x0000 | 1073)  // 0x0431 
#define OTX_PROD_ID_THOR_1_PCI_EXPRESS_BR   (0xF000 | 1073)  // 0xF431  The PEX8111 Bridge chip in the PEX8311 device on this board
#define OTX_PROD_ID_THOR_2_EXPRESS_CARD     (0x0000 | 1074)  // 0x0432 
#define OTX_PROD_ID_THOR_2_EXPRESS_CARD_PM  (0x1000 | 1074)  // 0x1432  Thor-2-ExpressCard with Voltmeter (Power Measurement)
#define OTX_PROD_ID_THOR_2_EXPRESS_CARD_BR  (0xF000 | 1074)  // 0xF432  The PEX8111 Bridge chip in the PEX8311 device on this board
#define OTX_PROD_ID_THOR_4_EXPRESS_CARD     (0x0000 | 1076)  // 0x0434  Thor-4-ExpressCard with Voltmeter and amplifiers
#define OTX_PROD_ID_THOR_4_EXPRESS_CARD_PM  (0x1000 | 1076)  // 0x1434  Thor-4-ExpressCard with Voltmeter
#define OTX_PROD_ID_ALVIS_1_ASM                       1077   // 1 DaVinci processor
#define OTX_PROD_ID_ALVIS_2_ASM                       1078   // 2 DaVinci processor
#define OTX_PROD_ID_ALVIS_4_ASM                       1079   // 4 DaVinci processor
#define OTX_PROD_ID_MODI_2_PCI_PLUS                   1080   // Dual PCI ASM carrier with Ethernet ports
#define OTX_PROD_ID_SLEIPNIR_HG                       1081   // 0x0439 Sleipnir/Thor Audio Adapter 2.0 (H&G Trading)
#define OTX_PROD_ID_ALVIS_PCI_EXPRESS                 1087   // 0x043F Alvis-PCIe
#define OTX_PROD_ID_GIMLE_16_PCIE                     1088   // 0x0440 Gimle-16-PCIe
#define OTX_PROD_ID_GIMLE_16_PCIE_BASIC_32  (0x1000 | 1088)  // 0x1440 Gimle-16-PCIe-Basic-32
#define OTX_PROD_ID_GIMLE_16_PCIE_BASIC_64  (0x2000 | 1088)  // 0x2440 Gimle-16-PCIe-Basic-64
#define OTX_PROD_ID_GODAR_EVM_PCI_EXPRESS             1038   // 0x040E FPGA EVM Board
#define OTX_PROD_ID_GODAR_1_PCI_EXPRESS               1091   // 0x0443 One STM interface
#define OTX_PROD_ID_GODAR_2_PCI_EXPRESS               1092   // 0x0444 Two STM interface


/* $History: OtxHwIds.h $
 * 
 * *****************  Version 47  *****************
 * User: Hanz         Date: 5/06/11    Time: 3:44p
 * Updated in $/Products/Otx-Driver/Lib
 * Added support for Gimle-16-PCIe-Basic variants.
 * 
 * *****************  Version 46  *****************
 * User: Hanz         Date: 5/06/10    Time: 5:02p
 * Updated in $/Products/Otx-Driver/Lib
 * Add IDs for Alvis-0-CSI and Alvis-2-CSI.
 * 
 * *****************  Version 45  *****************
 * User: Phil         Date: 3/08/10    Time: 3:19p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Godar PCIe board and Temux device
 * 
 * *****************  Version 44  *****************
 * User: Hanz         Date: 1/07/10    Time: 3:24p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Alvis-PBX Device IDs and a new device ID for a secondary DMP on a
 * CSI.
 * 
 * *****************  Version 43  *****************
 * User: Hanz         Date: 5/01/09    Time: 12:11p
 * Updated in $/Products/Otx-Driver/Lib
 * Added OTX_PROD_ID_DMP_ALVIS_CSI_UNCONFIGURED (which is used for
 * unconfigured CSI board; blank eeprom).
 * 
 * *****************  Version 42  *****************
 * User: Hanz         Date: 4/21/09    Time: 5:21p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Alvis-8-CSI and Alvis-8M-CSI.
 * 
 * *****************  Version 41  *****************
 * User: Hanz         Date: 2/19/09    Time: 6:01p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Gimle-16-PCIe.
 * 
 * *****************  Version 40  *****************
 * User: Hanz         Date: 9/18/08    Time: 4:56p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Alvis-CSI board variants.
 * 
 * *****************  Version 39  *****************
 * User: Hanz         Date: 7/17/08    Time: 6:28p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Alvis-PCIe.
 * 
 * *****************  Version 38  *****************
 * User: Hanz         Date: 3/11/08    Time: 10:15a
 * Updated in $/Products/Otx-Driver/Lib
 * Added Sleipnir H&G Trading board.
 * 
 * *****************  Version 37  *****************
 * User: Phil         Date: 10/16/07   Time: 5:19p
 * Updated in $/Products/Otx-Driver/Lib
 * Changed DMM to DMP in naming.
 * Fixed IRQ error when loading driver onto EVM.
 * The DaVinci DMP will add setup interrupts by when
 * needed not when the driver is loaded. When device
 * is opened.
 * 
 * *****************  Version 36  *****************
 * User: Phil         Date: 10/16/07   Time: 2:35p
 * Updated in $/Products/Otx-Driver/Lib
 * Modified code to use OdDaVinciDmp to setup device.
 * Add product ID to header file.
 * Modified OdDavinciDmp to use PNP interface to start
 * and stop the device. This is normal path for oter card
 * types and required fewer code modifications.
 * 
 * *****************  Version 35  *****************
 * User: Phil         Date: 6/22/07    Time: 5:09p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Thor-4-ExpressCard to driver
 * 
 * *****************  Version 34  *****************
 * User: Hanz         Date: 5/21/07    Time: 2:36p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Thor-2-ExpressCard with Power Measurement option (0x1432).
 * 
 * *****************  Version 33  *****************
 * User: Hanz         Date: 5/18/06    Time: 10:09a
 * Updated in $/Products/Otx-Driver/Lib
 * Added Thor-2-ExpressCard.
 * 
 * *****************  Version 32  *****************
 * User: Hanz         Date: 5/18/06    Time: 10:04a
 * Updated in $/Products/Otx-Driver/Lib
 * Added Thor-1-PCI-Express.
 * 
 * *****************  Version 31  *****************
 * User: Hanz         Date: 5/04/06    Time: 6:00p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Thor-2-PCI-Express.
 * 
 * *****************  Version 30  *****************
 * User: Hanz         Date: 11/09/05   Time: 3:39p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Conformal Coat (CC) version of Hugin.
 * 
 * *****************  Version 29  *****************
 * User: Hanz         Date: 11/08/05   Time: 7:16p
 * Updated in $/Products/Otx-Driver/Lib
 * Added support for Gimle-Basic.
 * 
 * *****************  Version 28  *****************
 * User: Hanz         Date: 6/21/05    Time: 3:43p
 * Updated in $/Products/Otx-Driver/Lib
 * Added initial support for Hugin-2-PC104.
 * 
 * *****************  Version 27  *****************
 * User: Hanz         Date: 2/18/05    Time: 10:40a
 * Updated in $/Products/Otx-Driver/Lib
 * Corrected syntax error... Sorry.
 * 
 * *****************  Version 26  *****************
 * User: Hanz         Date: 2/17/05    Time: 11:29a
 * Updated in $/Products/Otx-Driver/Lib
 * Added Arni variants.
 * 
 * *****************  Version 25  *****************
 * User: Phil         Date: 1/28/05    Time: 1:42p
 * Updated in $/Products/Otx-Driver/Lib
 * Added device type OTX_DEVICE_SLEIPNIR_1_PCMCIA_WAN = 1065.
 * Added "HAA-1065-1-1-0" to OsaNdisMiniportInitializationHandler()
 * OSA_BUS_PCMCIA case statement (line number 788).
 * Added OTX_PROD_ID_SLEIPNIR_1_PCI_RJ4_WAN TO odSleipnir.cpp (line number
 * 388).
 * 
 * *****************  Version 24  *****************
 * User: Hanz         Date: 12/03/04   Time: 6:54p
 * Updated in $/Products/Otx-Driver/Lib
 * Added OTX_PROD_ID_ARNI_6x6_PCI_PLUS.
 * 
 * *****************  Version 23  *****************
 * User: Hanz         Date: 4/30/04    Time: 11:27a
 * Updated in $/Products/Otx-Driver/Lib
 * Added OTX_PROD_ID_THOR_1_PCI_PLUS.
 * 
 * *****************  Version 22  *****************
 * User: Steve        Date: 2/03/04    Time: 4:37p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Sleipnir WAN Device IDs.
 * 
 * *****************  Version 21  *****************
 * User: Hanz         Date: 1/23/04    Time: 6:05p
 * Updated in $/Products/Otx-Driver/Lib
 * Changed Gimle macro.
 * 
 * *****************  Version 20  *****************
 * User: Hanz         Date: 1/22/04    Time: 9:41a
 * Updated in $/Products/Otx-Driver/Lib
 * Added OTX_PROD_ID_THOR_4_PCI_PLUS,
 * 
 * *****************  Version 19  *****************
 * User: Hanz         Date: 4/11/03    Time: 2:01p
 * Updated in $/Products/Otx-Driver/Lib
 * Added OTX_PROD_ID_THOR_2_PCMCIA_PRO.
 * 
 * *****************  Version 18  *****************
 * User: Hanz         Date: 3/04/03    Time: 3:53p
 * Updated in $/Products/Otx-Driver/Lib
 * The ID for Thor-1-PCI-Basis was accidentally remove. This ID has now
 * been restored.
 * 
 * *****************  Version 17  *****************
 * User: Hanz         Date: 3/04/03    Time: 1:36p
 * Updated in $/Products/Otx-Driver/Lib
 * Added support for new DSP related products (54CST, 5410A, 54V90).
 * 
 * *****************  Version 16  *****************
 * User: Steve        Date: 2/10/03    Time: 6:06p
 * Updated in $/Products/Otx-Driver/Lib
 * Added OD_PLX_9056_DEVICE_ID.
 * 
 * *****************  Version 15  *****************
 * User: Hanz         Date: 1/24/03    Time: 12:17p
 * Updated in $/Products/Otx-Driver/Lib
 * Added support for Thor-1-PCI-Basic and other new products. Defined the
 * upper 4 bits of the DeviceId as the product variant bits.
 * 
 * *****************  Version 14  *****************
 * User: Hanz         Date: 6/20/01    Time: 4:16p
 * Updated in $/Products/Otx-Driver/Lib
 * Added OdHermodPci.
 * 
 * *****************  Version 13  *****************
 * User: Hanz         Date: 12/18/00   Time: 5:07p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Thor-2-Pcmcia-Plus
 * 
 * *****************  Version 12  *****************
 * User: Lme          Date: 10/25/99   Time: 12:13p
 * Updated in $/Products/Otx-Driver/Lib
 * Added Osa lib files and Linux lib. Took out functions that were not
 * being used.
 * 
 * *****************  Version 11  *****************
 * User: Lme          Date: 3/26/99    Time: 6:13p
 * Updated in $/Products/Otx-Driver/Lib
 * 
 * *****************  Version 10  *****************
 * User: Hanz         Date: 2/03/99    Time: 3:46p
 * Updated in $/Products/Otx-Driver/Lib
 * Changed all operating system dependant types to OD_XXX.
 * 
 * *****************  Version 9  *****************
 * User: Lme          Date: 1/20/99    Time: 8:39p
 * Updated in $/Products/Otx-Driver/Lib
 * Added OtxDrvGetAttributeType() and  OtxDrvGetAttributeValue() and
 * associated functions.
 * 
 * *****************  Version 8  *****************
 * User: Hanz         Date: 1/20/99    Time: 3:25p
 * Updated in $/Products/Otx-Driver/Lib
 * Changed the name of the DSP standard module to OtxSpm1.
 * 
 * *****************  Version 7  *****************
 * User: Jari         Date: 11/16/98   Time: 6:19p
 * Updated in $/Products/Otx-Driver/Lib
 *
 * *****************  Version 6  *****************
 * User: Jari         Date: 11/16/98   Time: 5:20p
 * Updated in $/Products/Otx-Driver/Lib
 * Added PCI Config Port Address macros. ODIN Vendor ID macro and changed
 * PROD_ID macros to start with OTX_
 *
 *
 *
 */

/*******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 1998

  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

*******************************************************************************/
#endif  // OD_HW_IDS_H
