#ifndef OSA_LINUX_ETH_SPLITTER_H
#define OSA_LINUX_ETH_SPLITTER_H
#ifdef DAVINCI
/* $Workfile: OsaLinuxEthSplitter.h $   $Revision: 2 $    $Modtime: 8/10/10 2:28a $  */
/*******************************************************************************

  Odin TeleSystems Inc.

  OTX Telecom Adapter Driver

  @doc internal

  @module

  @normal Copyright (C) Odin TeleSystems Inc., 2007, All Rights Reserved

*******************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

struct OsaLinuxEthSplitterInitS
{
  uint16_t eth_type;
  uint8_t filter_src_mac;
  uint8_t filter_dst_mac;
  uint8_t src_mac[6];
  uint8_t dst_mac[6];
};

extern int OsaLinuxEthSplitterInit(struct OsaLinuxEthSplitterInitS*);
extern int OsaLinuxEthSplitterEnable(void);
extern int OsaLinuxEthSplitterDisable(void);

extern int OsaLinuxEthSplitterCreateProc(struct proc_dir_entry*);
extern int OsaLinuxEthSplitterDestroyProc(struct proc_dir_entry*);

#define USE_ETH_SPLITTER 0

#ifdef __cplusplus
}
#endif

#endif // DAVINCI code only
#endif // OSA_LINUX_ETH_SPLITTER_H
