#ifndef OSA_LINUX_TDMOE_H
#define OSA_LINUX_TDMOE_H
#ifdef DAVINCI
/* $Workfile: OsaLinuxTdmoe.h $   $Revision: 2 $    $Modtime: 2/09/10 11:12a $  */
/*******************************************************************************

  Odin TeleSystems Inc.

  OTX Telecom Adapter Driver

  @doc internal

  @module

  @normal Copyright (C) Odin TeleSystems Inc., 2007, All Rights Reserved

*******************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

// Macros for the TxIrq and RxIrq callback functions
#define OSA_ASP_DMA_COMPLETE             0x00000001
#define OSA_ASP_DMA_ERROR                0x00000002
#define OSA_ASP_DMA_PING_BUF_READY       0x00000004
#define OSA_ASP_DMA_PONG_BUF_READY       0x00000008
#define OSA_ASP_DMA_OVER_UNDER_RUN_USER  0x00000010
#define OSA_ASP_DMA_OVER_UNDER_RUN_HW    0x00000020
#define OSA_ASP_DMA_SYNC_ERROR           0x00000040

extern int OsaLinuxTdmoeInit(int cbBufSize, void *pContext, void (*funcServeTxIrq)(unsigned long, void *), void (*funcServeRxIrq)(unsigned long, void *));

extern int OsaLinuxTdmoeAllocBuffers(int cbBufSize);  // Can be called after OsaLinuxAspOpen() if the default buffer size needs to be changed

extern int OsaLinuxTdmoeOpen(void);
extern void OsaLinuxTdmoeClose(void);

extern int OsaLinuxTdmoeEnable(int bStartRx, int bStartTx);
extern int OsaLinuxTdmoeDisable(void);
 
extern ssize_t OsaLinuxTdmoeWrite(const char *buffer, size_t count);
 
extern ssize_t OsaLinuxTdmoeRead(char *buffer, size_t count);

extern ssize_t OsaLinuxTdmoeGetReadPtr(char **pBuffer);

extern int OsaLinuxTdmoeSetMacAddress(const unsigned char* addr);
extern const unsigned char* OsaLinuxTdmoeGetMacAddress(void);

extern int OsaLinuxTdmoeCreateProc(struct proc_dir_entry*);
extern int OsaLinuxTdmoeDestroyProc(struct proc_dir_entry*);

//extern int OsaLinuxTdmoeDbgDump(OsaUint32 nCmd);   // only for debugging
//extern char* OsaLinuxTdmoePeekBufPtr(int dir, int nBuf); // dir=0 for RX dir=1 for TX, nBuf=0 for ping and nBuf=1 for pong
//extern int OsaLinuxTdmoeGetBufferPointers(char **pRxPing, char **pRxPong, char **pTxPing, char **pTxPong);
//extern int OsaLinuxSetAspCfg(OsaLinuxAspRegCfgS *pRegCfg);

#ifdef __cplusplus
}
#endif

#endif // DAVINCI code only
#endif  // OSA_LINUX_TDMOE_H
